Data

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

POST
POST

Create data catalog relationship proposals accept

Promote the proposal to a real warehouse join after re-validating and probing it.

Required API key scopes

data_catalog_approval:writedata_catalog:readquery:readwarehouse_view:write

Path parameters

  • id
    string

Response


Example request

POST /api/projects/:project_id/data_catalog/relationship_proposals/:id/accept
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/data_catalog/relationship_proposals/:id/accept/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"source_table_name": "string",
"source_table_key": "string",
"joining_table_name": "string",
"joining_table_key": "string",
"field_name": "string",
"configuration": null,
"confidence": 1,
"reasoning": "string",
"evidence": null,
"status": "string",
"reviewed_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"reviewed_at": "2019-08-24T14:15:22Z",
"rejection_reason": "string",
"created_join": "9777f0a1-3fe4-48b8-bdd9-017c737fe4e5",
"created_by": 0,
"created_at": "2019-08-24T14:15:22Z"
}

Create data catalog relationship proposals reject

Reject the proposal. Persists forever so the pair is never re-proposed.

Required API key scopes

data_catalog_approval:writedata_catalog:read

Path parameters

  • id
    string

Request parameters

  • rejection_reason
    string

Response


Example request

POST /api/projects/:project_id/data_catalog/relationship_proposals/:id/reject
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/data_catalog/relationship_proposals/:id/reject/\
-d rejection_reason="string"

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"source_table_name": "string",
"source_table_key": "string",
"joining_table_name": "string",
"joining_table_key": "string",
"field_name": "string",
"configuration": null,
"confidence": 1,
"reasoning": "string",
"evidence": null,
"status": "string",
"reviewed_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"reviewed_at": "2019-08-24T14:15:22Z",
"rejection_reason": "string",
"created_join": "9777f0a1-3fe4-48b8-bdd9-017c737fe4e5",
"created_by": 0,
"created_at": "2019-08-24T14:15:22Z"
}